# GNOME Shell extension - Google Earth Wallpaper

![Jiamusi](/screenshot/Jiamusi_China.jpg)

[![Get it on GNOME extensions](/screenshot/get_it_on_gnome_extensions.png)](https://extensions.gnome.org/extension/1295/google-earth-wallpaper/) [![<3 Sponsor this project on GitHub <3](/screenshot/sponsor.png)](https://github.com/sponsors/neffo)

Lightweight GNOME shell extension to set your wallpaper to a random Google Earth photo from a selection of pool of 2,604 curated locations.

*Disclaimer*: this extension is unofficial and not affiliated with Google in any way. Images are protected by copyright, and are licensed only for use as wallpapers.

## Features

* Fetches a random Google Earth wallpaper and sets as desktop wallpaper and lock screen
* User selectable refresh intervals (default is once per day)
* Optional: keep images or clean up after (later is default)
* View location on Google Maps, Bing Maps, Gnome Maps, OpenStreetMaps

## Requirements

GNOME Shell 3.36+ (Ubuntu Gnome 20.04 LTS+), legacy support exists for earlier GNOME Shell versions (3.28+)

## Install

[Install from extensions.gnome.org](https://extensions.gnome.org/extension/1295/google-earth-wallpaper/)

or install directly to your GNOME extensions directory (if you want to hack on it)

```
mkdir ~/source
cd ~/source
git clone https://github.com/neffo/earth-view-wallpaper-gnome-extension.git
cd earth-view-wallpaper-gnome-extension
sh install.sh
```

## Other works

This extension is derived from my [Bing Wallpaper](https://github.com/neffo/bing-wallpaper-gnome-extension) GNOME extension, which was based extensively on the NASA APOD extension by [Elinvention](https://github.com/Elinvention). Curated locations and images come from Google's [Earth View](https://earthview.withgoogle.com/) website and the [associated Chrome extension](https://chrome.google.com/webstore/detail/earth-view-from-google-ea/bhloflhklmhfpedakmangadcdofhnnoh?hl=en).

## Screenshots

![Menu](/screenshot/menu.png)

![Settings](/screenshot/settings.png)

![Lockscreen](/screenshot/lockscreen-dialog.jpg)
